Prints UI-Router Transition trace information to the console.

### Hierarchy

- Trace

## Index

### Methods

- disable
- enable
- enabled
- traceError
- traceHookInvocation
- traceHookResult
- traceResolvableResolved
- traceResolvePath
- traceSuccess
- traceTransitionIgnored
- traceTransitionStart
- traceUIViewConfigUpdated
- traceUIViewEvent
- traceUIViewFill
- traceViewServiceEvent
- traceViewServiceUIViewEvent
- traceViewSync

## Methods

- disable(...categories: (string | number)[]): any

- Disables a trace Category

- Disables a trace Category

      trace.disable("VIEWCONFIG");

  #### Parameters

  - ##### ...categories: Rest (string | number)[]

    :

    categories to disable. If `categories` is omitted, all categories are disabled. Also takes strings (category name) or ordinal (category position)

  #### Returns any

  - Defined in common/trace.ts:150

- enable(...categories: (string | number)[]): any

- Enables a trace Category

- Enables a trace Category

      trace.enable("TRANSITION");

  #### Parameters

  - ##### ...categories: Rest (string | number)[]

    :

    categories to enable. If `categories` is omitted, all categories are enabled. Also takes strings (category name) or ordinal (category position)

  #### Returns any

  - Defined in common/trace.ts:138

- enabled(category: string | number): boolean

- Retrieves the enabled stateus of a Category

- Retrieves the enabled stateus of a Category

      trace.enabled("VIEWCONFIG"); // true or false

  #### Parameters

  - ##### category string | number

  #### Returns boolean

  :

  boolean true if the category is enabled

  - Defined in common/trace.ts:162

- traceError(reason: any, trans: Transition): void

- #### Parameters

  - ##### reason any

  - ##### trans Transition

  #### Returns void

  - Defined in common/trace.ts:206

- traceHookInvocation(step: TransitionHook, trans: Transition, options: any): void

- #### Parameters

  - ##### step TransitionHook

  - ##### trans Transition

  - ##### options any

  #### Returns void

  - Defined in common/trace.ts:179

- traceHookResult(hookResult: HookResult, trans: Transition, transitionOptions: any): void

- #### Parameters

  - ##### hookResult HookResult

  - ##### trans Transition

  - ##### transitionOptions any

  #### Returns void

  - Defined in common/trace.ts:188

- traceResolvableResolved(resolvable: Resolvable, trans?: Transition): void

- #### Parameters

  - ##### resolvable Resolvable

  - ##### trans: Optional Transition

  #### Returns void

  - Defined in common/trace.ts:200

- traceResolvePath(path: PathNode[], when: PolicyWhen, trans?: Transition): void

- #### Parameters

  - ##### path PathNode[]

  - ##### when PolicyWhen

  - ##### trans: Optional Transition

  #### Returns void

  - Defined in common/trace.ts:194

- traceSuccess(finalState: StateObject, trans: Transition): void

- #### Parameters

  - ##### finalState StateObject

  - ##### trans Transition

  #### Returns void

  - Defined in common/trace.ts:212

- traceTransitionIgnored(trans: Transition): void

- #### Parameters

  - ##### trans Transition

  #### Returns void

  - Defined in common/trace.ts:173

- traceTransitionStart(trans: Transition): void

- #### Parameters

  - ##### trans Transition

  #### Returns void

  - Defined in common/trace.ts:167

- traceUIViewConfigUpdated(viewData: ActiveUIView, context: ViewContext): void

- #### Parameters

  - ##### viewData ActiveUIView

  - ##### context ViewContext

  #### Returns void

  - Defined in common/trace.ts:224

- traceUIViewEvent(event: string, viewData: ActiveUIView, extra?: string): void

- #### Parameters

  - ##### event string

  - ##### viewData ActiveUIView

  - ##### extra: Default value string = ""

  #### Returns void

  - Defined in common/trace.ts:218

- traceUIViewFill(viewData: ActiveUIView, html: string): void

- #### Parameters

  - ##### viewData ActiveUIView

  - ##### html string

  #### Returns void

  - Defined in common/trace.ts:230

- traceViewServiceEvent(event: string, viewConfig: ViewConfig): void

- #### Parameters

  - ##### event string

  - ##### viewConfig ViewConfig

  #### Returns void

  - Defined in common/trace.ts:250

- traceViewServiceUIViewEvent(event: string, viewData: ActiveUIView): void

- #### Parameters

  - ##### event string

  - ##### viewData ActiveUIView

  #### Returns void

  - Defined in common/trace.ts:256

- traceViewSync(pairs: ViewTuple[]): void

- #### Parameters

  - ##### pairs ViewTuple[]

  #### Returns void

  - Defined in common/trace.ts:236

Generated using TypeDoc